Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IConditionalExpression

All Superinterfaces:
  IBaseExpression

All Known Implementing Classes:
  ConditionalExpression

    public interface IConditionalExpression

extends IBaseExpression

Describes a conditional expression that produces a Boolean type result.

A conditonal expression contains up to four parts:

- A main expression. This is a Javascript expression that is evaluated at runtime to produce a result which is compared to the operands.
- An operator. This operator is applied to the main expression and the operands.
- [optional] Operand 1 & Operand 2. These are Javascript expressions. They are evaluated at runtime, and their results are the operator's 1st and 2nd operands respectively.

  Field Summary
  `static int` | `OP_BETWEEN` The Between operator.
  `static int` | `OP_BOTTOM_N` The Bottom(N) aggregate operator.
  `static int` | `OP_BOTTOM_PERCENT` The BottomNPercent aggregate operator.
  `static int` | `OP_EQ` The Equals operator.
  `static int` | `OP_FALSE` The isFalse operator.
  `static int` | `OP_GE` The GreaterThanOrEqualTo operator.
  `static int` | `OP_GT` The GreaterThan operator.
  `static int` | `OP_IN` IN, NOT_IN operator.
  `static int` | `OP_LE` The LessThanOrEqualTo operator.
  `static int` | `OP_LIKE` The Like operator.
  `static int` | `OP_LT` The LessThan operator.
  `static int` | `OP_MATCH` The Match operator.
  `static int` | `OP_NE` The NotEquals operator.
  `static int` | `OP_NONE` No operator defined for this conditonal expression
  `static int` | `OP_NOT_BETWEEN` The NotBetween operator.
  `static int` | `OP_NOT_IN`
  `static int` | `OP_NOT_LIKE`
  `static int` | `OP_NOT_MATCH`
  `static int` | `OP_NOT_NULL` The isNotNull operator.
  `static int` | `OP_NULL` The isNull operator.
  `static int` | `OP_TOP_N` The Top(N) aggregate operator.
  `static int` | `OP_TOP_PERCENT` The TopNPercent aggregate operator.
  `static int` | `OP_TRUE` The isTrue operator.

  Fields inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
  `GROUP_OVERALL`

  Method Summary
  `IScriptExpression` | `getExpression()` Gets the main expression
  `IBaseExpression` | `getOperand1()` Gets the expression for operand 1.
  `IBaseExpression` | `getOperand2()` Gets the expression for operand 2.
  `int` | `getOperator()` Gets the operator.

  Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
  `getDataType, getGroupName, getHandle, setGroupName, setHandle`

  Field Detail

  ### OP_NONE

      static final int OP_NONE

    No operator defined for this conditonal expression

    See Also:
      Constant Field Values

  ### OP_EQ

      static final int OP_EQ

    The Equals operator. Evalutes to true if result is equal to operand 1.

    See Also:
      Constant Field Values

  ### OP_NE

      static final int OP_NE

    The NotEquals operator. Evalutes to true if result is not equal to operand 1.

    See Also:
      Constant Field Values

  ### OP_LT

      static final int OP_LT

    The LessThan operator. Evalutes to true if result is less than operand 1.

    See Also:
      Constant Field Values

  ### OP_LE

      static final int OP_LE

    The LessThanOrEqualTo operator. Evalutes to true if result is less than or equal to operand 1.

    See Also:
      Constant Field Values

  ### OP_GE

      static final int OP_GE

    The GreaterThanOrEqualTo operator. Evalutes to true if result is greater than or equal to operand 1.

    See Also:
      Constant Field Values

  ### OP_GT

      static final int OP_GT

    The GreaterThan operator. Evalutes to true if result is greater than operand 1.

    See Also:
      Constant Field Values

  ### OP_BETWEEN

      static final int OP_BETWEEN

    The Between operator. Evalutes to true if result is greater than or equal to operand 1, and less than or equal to operand 2.

    See Also:
      Constant Field Values

  ### OP_NOT_BETWEEN

      static final int OP_NOT_BETWEEN

    The NotBetween operator. Evaluates to true if the Between operator evaluates to False for the same result and operands.

    See Also:
      Constant Field Values

  ### OP_NULL

      static final int OP_NULL

    The isNull operator. Evalutes to true if the result is null.

    See Also:
      Constant Field Values

  ### OP_NOT_NULL

      static final int OP_NOT_NULL

    The isNotNull operator. Evalutes to true if the result is not null.

    See Also:
      Constant Field Values

  ### OP_TRUE

      static final int OP_TRUE

    The isTrue operator. Evalutes to true if the result is of Boolean type, and has a value of true.

    See Also:
      Constant Field Values

  ### OP_FALSE

      static final int OP_FALSE

    The isFalse operator. Evalutes to true if the result is of Boolean type, and has a value of false.

    See Also:
      Constant Field Values

  ### OP_LIKE

      static final int OP_LIKE

    The Like operator. Evaluates to true if the left operand is a String that matches the pattern string provided as right operand. the pattern uses ???%??? to match 0 or more of any characters, ???_??? to match exactly one character, and ???\??? as escape character. All other characters are matched case-sensitively.

    See Also:
      Constant Field Values

  ### OP_TOP_N

      static final int OP_TOP_N

    The Top(N) aggregate operator. TODO: define this operator.

    See Also:
      Constant Field Values

  ### OP_BOTTOM_N

      static final int OP_BOTTOM_N

    The Bottom(N) aggregate operator. TODO: define this operator.

    See Also:
      Constant Field Values

  ### OP_TOP_PERCENT

      static final int OP_TOP_PERCENT

    The TopNPercent aggregate operator. TODO: define this operator.

    See Also:
      Constant Field Values

  ### OP_BOTTOM_PERCENT

      static final int OP_BOTTOM_PERCENT

    The BottomNPercent aggregate operator. TODO: define this operator.

    See Also:
      Constant Field Values

  ### OP_MATCH

      static final int OP_MATCH

    The Match operator. Evaluates to true if the left operand is a String that matches the pattern string provided as right operand. The pattern uses ECMAScript (JavaScript) syntax, as defined in Section 15.10 of Standard ECMA-262

    See Also:
      Constant Field Values

  ### OP_NOT_LIKE

      static final int OP_NOT_LIKE

  See Also:
    Constant Field Values

  ### OP_NOT_MATCH

      static final int OP_NOT_MATCH

  See Also:
    Constant Field Values

  ### OP_IN

      static final int OP_IN

    IN, NOT_IN operator. Evaluates to true if the left operand is contained or not contained in the Collection as right operand

    See Also:
      Constant Field Values

  ### OP_NOT_IN

      static final int OP_NOT_IN

  See Also:
    Constant Field Values

  Method Detail

  ### getExpression

      IScriptExpression getExpression()

    Gets the main expression

  ### getOperator

      int getOperator()

    Gets the operator.

    Returns:
      The operator specified using one of the OP_xxx enumeration values defined in this interface.

  ### getOperand1

      IBaseExpression getOperand1()

    Gets the expression for operand 1.

  ### getOperand2

      IBaseExpression getOperand2()

    Gets the expression for operand 2.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2008 Actuate Corp. All rights reserved.